/**
 * Demo of app project.
 * @memberof module:apeman-demo-app/lib
 * @function create
 * @param {object} [options] - Optional settings.
 * @returns {function} - Defined app function.
 */

"use strict";

const argx = require('argx'),
    objnest = require('objnest');

const debug = require('debug')('apeman:demo:app');

/** @lends create */
function create(options) {
    let args = argx(arguments);
    options = objnest.expand(args.pop('object') || {});

    /**
     * Defined app.
     * @function app
     * @param {object} req - Request object.
     * @param {object} res - Response object.
     * @param {function} next - Pass to next handler.
     */
    function app(req, res, next) {

        next();
    }

    // Description of this app.
    app.$desc = "__your_app_description__";

    return app;
}

module.exports = create;
